#include<iostream>
#include<queue>

bool canset(int matrix[64], int curPlayer, int cur) {
	if (matrix[cur] != 0 && matrix[cur] != curPlayer) {
		if (curPlayer == 1) {
			std::cout << "white\n";
		} else {
			std::cout << "black\n";
		}
		return 0;
	}
	return 1;
}

int main() {

	int matrix[64] = {0};	
	int xw, yw, xb, yb;
	std::cin >> xw >> yw;
	std::cin >> xb >> yb;

	for (int i = 0; i < 64; ++i) {
		matrix[i] = 0;
	}

	xw--;
	yw--;
	xb--;
	yb--;

	std::queue<int> fifo;
	matrix[yw * 8 + xw] = 1;
	fifo.push(yw * 8 + xw);

	matrix[yb * 8 + xb] = 2;
	fifo.push(yb * 8 + xb);

	while(!fifo.empty()) {
		int cur = fifo.front();
		int x = cur % 8;
		int y = cur / 8;
		int curPlayer = matrix[cur];

		//std::cout << cur << "\n";

		if (x > 1 && y > 0) {			
int pos = (y - 1) * 8 + (x - 2);
if (canset(matrix, curPlayer, pos)) {
	fifo.push(pos);
	matrix[pos] = curPlayer;
} else {
	return 0;
}
		}
		if (x <= 5 && y > 0) {	
int pos = (y - 1) * 8 + (x + 2);
if (canset(matrix, curPlayer, pos)) {
	fifo.push(pos);
	matrix[pos] = curPlayer;
} else {
	return 0;
}				
		}

		if (x > 1 && y <= 6) {			
		
int pos = (y + 1) * 8 + (x - 2);
if (canset(matrix, curPlayer, pos)) {
	fifo.push(pos);
	matrix[pos] = curPlayer;
} else {
	return 0;
}
		}
		if (x <= 5 && y <= 6) {
int pos = (y + 1) * 8 + (x + 2);
if (canset(matrix, curPlayer, pos)) {
	fifo.push(pos);
	matrix[pos] = curPlayer;
} else {
	return 0;
}
		}
				
		if (x > 0 && y > 1) {
int pos = (y - 2) * 8 + (x - 1);
if (canset(matrix, curPlayer, pos)) {
	fifo.push(pos);
	matrix[pos] = curPlayer;
} else {
	return 0;
}
		}
		if (x <= 6 && y > 1) {
int pos = (y - 2) * 8 + (x + 1);
if (canset(matrix, curPlayer, pos)) {
	fifo.push(pos);
	matrix[pos] = curPlayer;
} else {
	return 0;
}		
		}

		if (x > 0 && y <= 5) {
int pos = (y + 2) * 8 + (x - 1);
if (canset(matrix, curPlayer, pos)) {
	fifo.push(pos);
	matrix[pos] = curPlayer;
} else {
	return 0;
}
		}
		if (x <= 6 && y <= 5) {
int pos = (y + 2) * 8 + (x + 1);
if (canset(matrix, curPlayer, pos)) {
	fifo.push(pos);
	matrix[pos] = curPlayer;
} else {
	return 0;
}
		}

		fifo.pop();	
	}

	std::cout << "draw\n";
}
